%define	name	gentoo
%define	version	0.11.23
%define	release	1
%define	serial	2

Summary:	gentoo is a graphical file management program
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Applications/File
URL:		http://www.obsession.se/gentoo
Vendor:		Emil Brink <emil@obsession.se>
Source:		ftp://ftp.obsession.se/gentoo/%{name}-%{version}.tar.gz
Requires:	gtk+ >= 1.2.5
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
gentoo is a modern, powerful, flexible, and utterly configurable
file manager for UNIX systems, written using the GTK+ toolkit.
It aims to be 100% graphically configurable; there's no need to
edit config files by hand and then restart the application.
gentoo is somewhat inspired in its look & feel by the classic
Amiga program DirectoryOpus. 

%prep
%setup -q

%build
%configure
make

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && [ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && [ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%files
%defattr(-,root,root)
%doc docs BUGS COPYING FIXES* INSTALL README*
%doc gentoogtkrc-example gentoorc-example
%config(noreplace) %{_sysconfdir}/gentoogtkrc
%config(noreplace) %{_sysconfdir}/gentoorc
%{_bindir}/gentoo
%{_datadir}/gentoo

%changelog
* Mon Apr  1 2002 Ryan Weaver <ryanw@falsehope.com>
  [gentoo-0.11.23-1]
- Added support for laying out the two panes vertically rather than
  horizontally, as has so far been the only way. Handy when you want
  to see plenty of columns. Suggested by James Lucha.
- The SelectType command now understands a bareword argument, which
  is a glob for type names to select. You can do "SelectType Arch*"
  to select all archives in the source pane. Smooth, huh? :)
- Fixed bug in DirParent; parent of "/a/b/" is "/a", not "/a/b".
- Finally broke down and added tab-completion to the path entry
  fields. Might require some minor touching up, but works. Nice.
- The Copy command now says something when trying to copy a non-
  enterable directory, rather than just failing silently. Oops.
- Rename could falsely report failure under some conditions.

* Tue Mar 12 2002 Ryan Weaver <ryanw@falsehope.com>
  [gentoo-0.11.22-1]
- Rewrote routine that creates the filenames used when interpolating
  {fup}-codes in commands. Now doesn't emit double slashes, which
  helps some (confused) apps to work better.
- Fixed a bug that made the case-insenstive numerically aware sorting
  fail to actually be case-insensitive. Reported by Rainer Koschnick.
- A subtle bug had crept in that broke automounting. Fixed.
- gentoo might now compile in Cygwin (on Win32), thanks to changes
  sent in by Erik Sittmann.
- gentoo now attempts to copy the protection (mode) flags for
  files, device nodes, and directories. That might have been overdue.
- Incorporated patch to widget code from J. Hanson's home page.
- Literally hundreds of minor clean-ups (removed needless casts,
  improved naming consistency, use glib types, and on, and on).
- Tweaked the way symlinks are displayed by the Information command.
- Fixed bug that made the option parser continue when a required arg
  was missing.

